import { DexName, SinglePathSwapInput } from "./dex";
import { UserOperation } from "./erc4337";
export type InitSmartAccountV1Input = {
    owner: `0x${string}`;
    salt: bigint;
};
export type CreateSwapRequestInput = {
    smartAccount?: `0x${string}`;
    dex: DexName;
    swapInput: SinglePathSwapInput;
    gasless: boolean;
    initSmartAccountInput?: InitSmartAccountV1Input;
};
export type CreateSwapRequestOutput = {
    smartAccount: `0x${string}`;
    userOpHash: `0x${string}`;
    request: UserOperation;
};
export type SmartAccountVersion = "latest" | "v1";
export type SmartAccountFactory = "smartAccountFactoryV1";
//# sourceMappingURL=smartAccount.d.ts.map